package _10_数组动态初始化;

public class Test {
    public static void main(String[] args) {
        /**
         * 数据类型[] 数组名 = new 数据类型[数组的长度];
         * 什么时候回用到动态初始化
         *
         * 事前不知道数组当中存储哪些元素
         * 提前定义出来一个数组10
         * int[] arr = new int[10]
         */
        int[] arr = new int[10];
        arr[0] = 10;
        for (int i = 0; i < arr.length; i++) {
            System.out.println(arr[i]);
        }
    }
}
